Bug 59227 - NEW PORT: astro/gdesklets-seti
Summary: NEW PORT: astro/gdesklets-seti
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-12 20:50 UTC by Franz Klammer
Modified: 2003-11-18 20:13 UTC (History)
0 users

See Also:


Attachments
gdesklets-seti.shar (3.49 KB, text/plain)
2003-11-12 20:50 UTC, Franz Klammer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Klammer 2003-11-12 20:50:07 UTC
	
	new port gdesklets-seti
Comment 1 Franz Klammer 2003-11-12 20:58:03 UTC
updated shar with the correct pkg-descr - sorry!


--- gdesklets-seti.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before

# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       gdesklets-seti
#       gdesklets-seti/Makefile
#       gdesklets-seti/pkg-descr
#       gdesklets-seti/pkg-message
#       gdesklets-seti/pkg-plist
#       gdesklets-seti/distinfo
#
echo c - gdesklets-seti
mkdir -p gdesklets-seti > /dev/null 2>&1
echo x - gdesklets-seti/Makefile
sed 's/^X//' >gdesklets-seti/Makefile << 'END-of-gdesklets-seti/Makefile'
X# New ports collection makefile for:   gdesklets-seti
X# Date created:                                12 November 2003
X# Whom:                                        Franz Klammer 
<klammer@webonaut.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      gdesklets-seti
XPORTVERSION=   1.0
XCATEGORIES=    astro gnome
XMASTER_SITES=  http://gdesklets.gnomedesktop.org/files/
XDISTNAME=      seti
X
XMAINTAINER=    klammer@webonaut.com
XCOMMENT=       Simple but useful setidesklet with less CPU-usage
X
XRUN_DEPENDS=   
${X11BASE}/libdata/pkgconfig/gdesklets-core.pc:${PORTSDIR}/deskutils/gdesklets
X
XUSE_BZIP2=     yes
XUSE_X_PREFIX=  yes
XUSE_REINPLACE= yes
XNAME=          Seti
X
Xdo-build:
X       @${WRKSRC}/../Install_${NAME}_Sensor.bin --nomsg ${WRKSRC}
X       @${REINPLACE_CMD} -e 's|/usr/setiathome|/var/db/setiathome|g' \
X               ${WRKSRC}/${NAME}/sah.py
X       @${FIND} ${WRKSRC} -name '*.bak' -delete
X
X
Xdo-install:
X       @${MKDIR} ${PREFIX}/share/gnome/gdesklets/Displays/${NAME}
X       @${CP} ${WRKSRC}/*.display 
${PREFIX}/share/gnome/gdesklets/Displays/${NAME}/
X       @${CP} -Rp ${WRKSRC}/gfx 
${PREFIX}/share/gnome/gdesklets/Displays/${NAME}/
X       @${CP} -Rp ${WRKSRC}/${NAME} 
${PREFIX}/share/gnome/gdesklets/Sensors/
X
Xpost-install:
X       @${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-gdesklets-seti/Makefile
echo x - gdesklets-seti/pkg-descr
sed 's/^X//' >gdesklets-seti/pkg-descr << 'END-of-gdesklets-seti/pkg-descr'
XSimple but useful setidesklet with less CPU-usage.
X
XWWW: http://gdesklets.gnomedesktop.org/
END-of-gdesklets-seti/pkg-descr
echo x - gdesklets-seti/pkg-message
sed 's/^X//' >gdesklets-seti/pkg-message << 
'END-of-gdesklets-seti/pkg-message'
X##
XTo view the README:
X
X       cat ${PREFIX}/share/gnome/gdesklets/Displays/${name}/README
X       cat ${PREFIX}/share/gnome/gdesklets/Sensors/${name}/README
X
XTo view all installed applets:
X
X       ls ${PREFIX}/share/gnome/gdesklets/Displays
X
XTo use those applets:
X
X       gdesklets 
${PREFIX}/share/gnome/gdesklets/Displays/${name}/${name}.display
X
XReplace ${name} with the correct name of the applets you want to use.
X
XNOTE: Be sure to login as your user when you use the gdesklets command,
X      as the configuration will be stored in the ~/.gdesklets/ directory.
X##
END-of-gdesklets-seti/pkg-message
echo x - gdesklets-seti/pkg-plist
sed 's/^X//' >gdesklets-seti/pkg-plist << 'END-of-gdesklets-seti/pkg-plist'
Xshare/gnome/gdesklets/Displays/Seti/gfx/alien1.png
Xshare/gnome/gdesklets/Displays/Seti/gfx/alien2.png
Xshare/gnome/gdesklets/Displays/Seti/gfx/alien3.png
Xshare/gnome/gdesklets/Displays/Seti/seti.display
Xshare/gnome/gdesklets/Sensors/Seti/__init__.py
Xshare/gnome/gdesklets/Sensors/Seti/__init__.pyo
Xshare/gnome/gdesklets/Sensors/Seti/sah.py
Xshare/gnome/gdesklets/Sensors/Seti/sah.pyo
X@dirrm share/gnome/gdesklets/Sensors/Seti
X@dirrm share/gnome/gdesklets/Displays/Seti/gfx
X@dirrm share/gnome/gdesklets/Displays/Seti
END-of-gdesklets-seti/pkg-plist
echo x - gdesklets-seti/distinfo
sed 's/^X//' >gdesklets-seti/distinfo << 'END-of-gdesklets-seti/distinfo'
XMD5 (seti.tar.bz2) = 823f2802110b3697d7b1745bae0ca03d
END-of-gdesklets-seti/distinfo
exit

--- gdesklets-seti.shar ends here ---
Comment 2 Franz Klammer 2003-11-18 20:06:17 UTC
here hopfully now a correct shar also with compiling the
python-scripts enabled.


--- gdesklets-seti.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gdesklets-seti
#	gdesklets-seti/Makefile
#	gdesklets-seti/pkg-descr
#	gdesklets-seti/pkg-message
#	gdesklets-seti/pkg-plist
#	gdesklets-seti/distinfo
#
echo c - gdesklets-seti
mkdir -p gdesklets-seti > /dev/null 2>&1
echo x - gdesklets-seti/Makefile
sed 's/^X//' >gdesklets-seti/Makefile << 'END-of-gdesklets-seti/Makefile'
X# New ports collection makefile for:	gdesklets-seti
X# Date created:				12 November 2003
X# Whom:					Franz Klammer <klammer@webonaut.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	seti
XPORTVERSION=	0.2
XCATEGORIES=	astro gnome
XMASTER_SITES=	http://www.webonaut.com/distfiles/
XPKGNAMEPREFIX=	gdesklets-
XDISTNAME=	${PORTNAME}-${PORTVERSION}
X
XMAINTAINER=	klammer@webonaut.com
XCOMMENT=	Simple but useful setidesklet with less CPU-usage
X
XRUN_DEPENDS= 
${X11BASE}/libdata/pkgconfig/gdesklets-core.pc:${PORTSDIR}/deskutils/gdesklets
X
XUSE_BZIP2=	yes
XUSE_X_PREFIX=	yes
XUSE_REINPLACE=	yes
XUSE_PYTHON=	yes
XNAME=		Seti
X
Xdo-build:
X	@${WRKDIR}/Install_${NAME}_Sensor.bin --nomsg ${WRKDIR}/${PORTNAME}
X	@${REINPLACE_CMD} -e 's|/usr/setiathome|/var/db/setiathome|g' \
X		${WRKDIR}/${PORTNAME}/${NAME}/sah.py
X	@${FIND} ${WRKDIR}/${PORTNAME} -name '*.bak' -delete
X
X
Xdo-install:
X	@${MKDIR} ${PREFIX}/share/gnome/gdesklets/Displays/${NAME}/gfx
X	@${MKDIR} ${PREFIX}/share/gnome/gdesklets/Sensors/${NAME}
X	@${INSTALL_DATA} ${WRKDIR}/${PORTNAME}/*.display 
${PREFIX}/share/gnome/gdesklets/Displays/${NAME}/
X	@${INSTALL_DATA} ${WRKDIR}/${PORTNAME}/gfx/*.png 
${PREFIX}/share/gnome/gdesklets/Displays/${NAME}/gfx/
X	@${INSTALL_DATA} ${WRKDIR}/${PORTNAME}/${NAME}/*.py 
${PREFIX}/share/gnome/gdesklets/Sensors/${NAME}/
X
Xpost-install:
X	@${PYTHON_CMD} ${PYTHON_LIBDIR}/compileall.py 
${PREFIX}/share/gnome/gdesklets/Sensors/${NAME}
X	@${PYTHON_CMD} -O ${PYTHON_LIBDIR}/compileall.py 
${PREFIX}/share/gnome/gdesklets/Sensors/${NAME}
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-gdesklets-seti/Makefile
echo x - gdesklets-seti/pkg-descr
sed 's/^X//' >gdesklets-seti/pkg-descr << 'END-of-gdesklets-seti/pkg-descr'
XSimple but useful setidesklet with less CPU-usage.
X
XWWW: http://gdesklets.gnomedesktop.org/
END-of-gdesklets-seti/pkg-descr
echo x - gdesklets-seti/pkg-message
sed 's/^X//' >gdesklets-seti/pkg-message << 
'END-of-gdesklets-seti/pkg-message'
X##
XTo view all installed applets:
X
X	ls ${PREFIX}/share/gnome/gdesklets/Displays
X
XTo use those applets:
X
X	gdesklets ${PREFIX}/share/gnome/gdesklets/Displays/${name}/${name}.display
X
XReplace ${name} with the correct name of the applets you want to use.
X
XNOTE: Be sure to login as your user when you use the gdesklets command,
X      as the configuration will be stored in the ~/.gdesklets/ directory.
X##
END-of-gdesklets-seti/pkg-message
echo x - gdesklets-seti/pkg-plist
sed 's/^X//' >gdesklets-seti/pkg-plist << 'END-of-gdesklets-seti/pkg-plist'
Xshare/gnome/gdesklets/Displays/Seti/gfx/alien1.png
Xshare/gnome/gdesklets/Displays/Seti/gfx/alien2.png
Xshare/gnome/gdesklets/Displays/Seti/gfx/alien3.png
Xshare/gnome/gdesklets/Displays/Seti/gfx/gauge.png
Xshare/gnome/gdesklets/Displays/Seti/seti.display
Xshare/gnome/gdesklets/Sensors/Seti/__init__.py
Xshare/gnome/gdesklets/Sensors/Seti/__init__.pyc
Xshare/gnome/gdesklets/Sensors/Seti/__init__.pyo
Xshare/gnome/gdesklets/Sensors/Seti/sah.py
Xshare/gnome/gdesklets/Sensors/Seti/sah.pyc
Xshare/gnome/gdesklets/Sensors/Seti/sah.pyo
X@dirrm share/gnome/gdesklets/Sensors/Seti
X@dirrm share/gnome/gdesklets/Displays/Seti/gfx
X@dirrm share/gnome/gdesklets/Displays/Seti
END-of-gdesklets-seti/pkg-plist
echo x - gdesklets-seti/distinfo
sed 's/^X//' >gdesklets-seti/distinfo << 'END-of-gdesklets-seti/distinfo'
XMD5 (seti-0.2.tar.bz2) = 823f2802110b3697d7b1745bae0ca03d
END-of-gdesklets-seti/distinfo
exit
--- gdesklets-seti.shar ends here ---
Comment 3 Joe Marcus Clarke freebsd_committer 2003-11-18 20:13:32 UTC
State Changed
From-To: open->closed

Committed, thanks!